/* $Id: ChangeUserNameAction.java 338 2011-09-06 20:10:06Z minao $ */
package smart_gs.menu;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JOptionPane;

import smart_gs.logical.Preference;

public class ChangeUserNameAction implements ActionListener {

	public void actionPerformed(ActionEvent e) {
		String userName = Preference.getInstance().getUserName();
		String input = JOptionPane.showInputDialog("User's Name", userName);
		if(input == null){
			return;
		}
		
		Preference.getInstance().setUserName(input);
	}

}
